Skip to main content
`Ctrl`+`K`

# SNESGetConvergedReasonString

Return a human readable string for `SNESConvergedReason`

## Synopsis

    #include "petscsnes.h"
    #include "petscsnes.h"
    PetscErrorCode SNESGetConvergedReasonString(SNES snes, const char **strreason)

Not Collective

## Input Parameter

- snes - the `SNES` context

## Output Parameter

- strreason - a human readable string that describes `SNES` converged reason

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESGetConvergedReason()`

## Level

beginner

## Location

src/snes/interface/snes.c

## Examples

src/snes/tutorials/ex6.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages